Update an account
curl --request PATCH \
--url https://api.anchorage-staging.com/v4/accounts/{accountId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "SEGREGATED",
"name": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}"
payload = {
"type": "SEGREGATED",
"name": "<string>",
"externalId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'SEGREGATED', name: '<string>', externalId: '<string>'})
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"createdAt": "2019-01-02T12:34:56.000Z",
"parentId": "<string>",
"type": "SEGREGATED",
"updatedAt": "2019-01-02T12:34:56.000Z",
"status": "OPENING",
"complianceProfileId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"name": "<string>",
"externalId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Update an account
Permissions required: Manage Accounts
Update an existing account.
PATCH
/
accounts
/
{accountId}
Update an account
curl --request PATCH \
--url https://api.anchorage-staging.com/v4/accounts/{accountId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "SEGREGATED",
"name": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}"
payload = {
"type": "SEGREGATED",
"name": "<string>",
"externalId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'SEGREGATED', name: '<string>', externalId: '<string>'})
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"createdAt": "2019-01-02T12:34:56.000Z",
"parentId": "<string>",
"type": "SEGREGATED",
"updatedAt": "2019-01-02T12:34:56.000Z",
"status": "OPENING",
"complianceProfileId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"name": "<string>",
"externalId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Headers
Path Parameters
Body
application/json
Account fields to update
- Update Segregated Account
- Update Omnibus Account
- Update FBO Account
Details of the segregatedAccount to update.
Was this page helpful?